package oop.FileHandling.ByteKlassen;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
public class LeseEinBild {

	public static void main(String[] args) throws IOException {
		//gibt mit die gesamte size vom byte meine Bildes
		File file = new File("C:\\Users\\obaya\\eclipse-workspace\\OOP\\src\\oop\\FileHandling");
		
		FileInputStream fin = new FileInputStream(file);
		byte b[] = new byte[(int) file.length()];
		fin.read(b);
		
		//Optional loop
		for (int i = 0; i < b.length; i++)
			System.out.print(b[i]);
	
		
		/*
		 * - erstellt mir eine neues Bild mit dem Name (neues Bild)
		 * - dieses Verfahren kann mit allen Arten von Byts verwendet werden
		 */
		FileOutputStream fos = new FileOutputStream("C:\\Users\\obaya\\eclipse-workspace\\OOP\\src\\oop\\neues Bild.png");
		fos.write(b);
		fos.flush();
		fos.close();
		
		
	}

}
